Debian Bug report logs - #482448
pagodacf: FTBFS: The implementation cf_ip4_addr.ml does not match the interface cf_ip4_addr.cmi

version graph

Package: pagodacf; Maintainer for pagodacf is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Thu, 22 May 2008 20:21:12 UTC

Severity: serious

Tags: sid

Fixed in version pagodacf/0.9-2

Done: Sylvain Le Gall <gildor@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/index.php?func=detail&aid=1970003&group_id=118173&atid=680323

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#482448; Package pagodacf. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

pagodacf_0.9-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: pagodacf: FTBFS: The implementation cf_ip4_addr.ml does not match the interface cf_ip4_addr.cmi
Date: Thu, 22 May 2008 22:20:23 +0200
Package: pagodacf
Version: pagodacf_0.9-1
Severity: serious
Tags: sid

Hi,

Your package is failing to build with the following error:
ocamlfind ocamlc -package "unix" -predicates "" -passopt -w -passopt Ae -principal -g -o cf_ip4_addr.cmo -c cf_ip4_addr.ml
The implementation cf_ip4_addr.ml
does not match the interface cf_ip4_addr.cmi:
Values do not match:
  external equal : ([> opaque ] as 'a) t -> 'a t -> bool
    = "cf_ip4_addr_equal"
is not included in
  val equal : [> opaque ] t -> [> opaque ] t -> bool
make[1]: *** [cf_ip4_addr.cmo] Error 2


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#482448; Package pagodacf. Full text and rfc822 format available.

Acknowledgement sent to Stephane Glondu <steph@glondu.net>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 482448@bugs.debian.org (full text, mbox):

From: Stephane Glondu <steph@glondu.net>
To: control@bugs.debian.org
Cc: 482448@bugs.debian.org
Subject: setting package to pagodacf libcf-ocaml-dev libcf-ocaml, tagging 482448
Date: Fri, 23 May 2008 01:30:53 +0200
# Automatically generated email from bts, devscripts version 2.10.27
#
# pagodacf (0.9-2) UNRELEASED; urgency=low
#
#  * Fix FTBFS: The implementation cf_ip4_addr.ml does not match the
#    interface cf_ip4_addr.cmi (Closes: #482448).
#

package pagodacf libcf-ocaml-dev libcf-ocaml
tags 482448 + pending





Tags added: pending Request was from Stephane Glondu <steph@glondu.net> to control@bugs.debian.org. (Thu, 22 May 2008 23:33:03 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://sourceforge.net/tracker/index.php?func=detail&aid=1970003&group_id=118173&atid=680323. Request was from Stephane Glondu <steph@glondu.net> to control@bugs.debian.org. (Thu, 22 May 2008 23:48:02 GMT) Full text and rfc822 format available.

Reply sent to Sylvain Le Gall <gildor@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 482448-close@bugs.debian.org (full text, mbox):

From: Sylvain Le Gall <gildor@debian.org>
To: 482448-close@bugs.debian.org
Subject: Bug#482448: fixed in pagodacf 0.9-2
Date: Fri, 23 May 2008 12:32:03 +0000
Source: pagodacf
Source-Version: 0.9-2

We believe that the bug you reported is fixed in the latest version of
pagodacf, which is due to be installed in the Debian FTP archive:

libcf-ocaml-dev_0.9-2_amd64.deb
  to pool/main/p/pagodacf/libcf-ocaml-dev_0.9-2_amd64.deb
libcf-ocaml_0.9-2_amd64.deb
  to pool/main/p/pagodacf/libcf-ocaml_0.9-2_amd64.deb
pagodacf_0.9-2.diff.gz
  to pool/main/p/pagodacf/pagodacf_0.9-2.diff.gz
pagodacf_0.9-2.dsc
  to pool/main/p/pagodacf/pagodacf_0.9-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvain Le Gall <gildor@debian.org> (supplier of updated pagodacf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 May 2008 14:10:57 +0200
Source: pagodacf
Binary: libcf-ocaml-dev libcf-ocaml
Architecture: source amd64
Version: 0.9-2
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Sylvain Le Gall <gildor@debian.org>
Description: 
 libcf-ocaml - OCaml library with miscellaneous utility functions
 libcf-ocaml-dev - OCaml library with miscellaneous utility functions
Closes: 482448
Changes: 
 pagodacf (0.9-2) unstable; urgency=low
 .
   [ Stefano Zacchiroli ]
   * fix vcs-svn field to point just above the debian/ dir
 .
   [ Stephane Glondu ]
   * Fix FTBFS: The implementation cf_ip4_addr.ml does not match the
     interface cf_ip4_addr.cmi (Closes: #482448).
   * Add Homepage field to debian/control.
   * Update Standards-Version to 3.7.3 (no changes required).
 .
   [ Sylvain Le Gall ]
   * Rebuild for ocaml 3.10.2
Checksums-Sha1: 
 7b6f9b8370b5908380b9038ac137ba492af15c0c 1327 pagodacf_0.9-2.dsc
 1aa3d2b3c6ccdab80db568b3e20c60f3857e83fe 4620 pagodacf_0.9-2.diff.gz
 68aac8edf9cf7fde9cb3f2966ffa03104b05b922 1136382 libcf-ocaml-dev_0.9-2_amd64.deb
 3b575e9945f41ef772b67a57c09aa9b24e56335e 38210 libcf-ocaml_0.9-2_amd64.deb
Checksums-Sha256: 
 ac214a38915bf906e80388ed479fa391c67b569b938986850523430a1a809af4 1327 pagodacf_0.9-2.dsc
 51dedd5a5651be594efc7aa9cb8bc8c5a7da2a00e7fa585fe7cee49796c2875d 4620 pagodacf_0.9-2.diff.gz
 486f5c383c48138ec76bc9054bbc7a1a488459ee6a0dc9a3be520d811a1da095 1136382 libcf-ocaml-dev_0.9-2_amd64.deb
 b3132e22d90a240e4ac1532ce95524219fed3c755cce389f45ed42b36eaacc41 38210 libcf-ocaml_0.9-2_amd64.deb
Files: 
 df079e2be2de3b92c90a32d8eca5f5a7 1327 devel optional pagodacf_0.9-2.dsc
 ee676d6214b2508011c145f4ca18fe3a 4620 devel optional pagodacf_0.9-2.diff.gz
 1d9bdaabf09ff3049cbb6a4006c76d49 1136382 libdevel optional libcf-ocaml-dev_0.9-2_amd64.deb
 4adf4913e9c1db4514081d697317f961 38210 libs optional libcf-ocaml_0.9-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFINrVBir2bofsN/psRAh44AJ9VlDr3EsiAj5mMC/NKojvfrJkDMgCcD6HD
Vbo98un9Sas+cipJsLp2GqQ=
=gpqn
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#482448; Package pagodacf. Full text and rfc822 format available.

Acknowledgement sent to james woodyatt <jhw@conjury.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 482448@bugs.debian.org (full text, mbox):

From: james woodyatt <jhw@conjury.org>
To: 482448@bugs.debian.org
Subject: acknowledged.
Date: Fri, 23 May 2008 06:42:17 -0700
i'll have a fix next week.  (i'm well downrange for the next four days.)

—
j h woodyatt <jhw@conjury.org>
http://jhw.vox.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#482448; Package pagodacf. Full text and rfc822 format available.

Acknowledgement sent to james woodyatt <jhw@conjury.org>:
Extra info received and forwarded to list. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 482448@bugs.debian.org (full text, mbox):

From: james woodyatt <jhw@conjury.org>
To: 482448@bugs.debian.org
Subject: please take cf-0.10 and nx-0.0 in place of cf-0.9
Date: Tue, 3 Jun 2008 22:21:17 -0700
kurt--

I've updated the OCaml NAE project at Sourceforge to fix this bug.

	<http://sourceforge.net/projects/ocnae>

Note: iom-0.4 is released as well, but I don't know whether Debian  
takes that or not.

The Cf-0.10 release removes the network extensions, which are now  
delivered in the Nx-0.0 project.  The referenced bug was in one of the  
network extensions.  The version in Nx-0.0 contains the fix.

Please let me know if there's anything I can do to facilitate efforts  
to deploy OCaml NAE on Debian.


—
j h woodyatt <jhw@conjury.org>
http://jhw.vox.com/





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:59:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:20:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.